-- Disable Religion Holy Site --
-- Author: Das Capitolin --
----------------------------------------------------------------------------------------------------

-- Removes Holy Site and Lavra
INSERT INTO District_ValidTerrains (DistrictType, TerrainType) VALUES ('DISTRICT_HOLY_SITE', 'TERRAIN_SNOW_MOUNTAIN');
DELETE FROM Buildings WHERE BuildingType = 'BUILDING_STONEHENGE';
DELETE FROM Districts WHERE DistrictType = 'DISTRICT_LAVRA';
-- Removes Great Prophet
-- DELETE FROM Units WHERE UnitType = 'UNIT_GREAT_PROPHET'; (Removed in 2.8 by request for compatibility, using UPDATE code below)
UPDATE GreatPersonClasses SET AvailableInTimeline=0 WHERE GreatPersonClassType='GREAT_PERSON_CLASS_PROPHET';
-- Removes Holy Site Prayers project.
DELETE FROM Projects WHERE ProjectType = 'PROJECT_ENHANCE_DISTRICT_HOLY_SITE';
-- Removes Religious quests.
DELETE FROM Quests WHERE QuestType = 'QUEST_CONVERT_CAPITAL_TO_RELIGION';
-- Removes Religious City-State quests
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_RELIGIOUS_HOLY_SITE_PRODUCTION';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_RELIGIOUS_SMALL_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_RELIGIOUS_MEDIUM_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_RELIGIOUS_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_TRADE_SMALL_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_TRADE_MEDIUM_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_TRADE_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_CULTURAL_SMALL_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_CULTURAL_MEDIUM_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_CULTURAL_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_MILITARISTIC_SMALL_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_MILITARISTIC_MEDIUM_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_MILITARISTIC_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_INDUSTRIAL_SMALL_INFLUENCE_BONUS_PAPAL_PRIMACY_BUILDING';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_INDUSTRIAL_SMALL_INFLUENCE_BONUS_PAPAL_PRIMACY_DISTRICT';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_INDUSTRIAL_MEDIUM_INFLUENCE_BONUS_PAPAL_PRIMACY_BUILDING';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_INDUSTRIAL_MEDIUM_INFLUENCE_BONUS_PAPAL_PRIMACY_DISTRICT';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_INDUSTRIAL_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY_BUILDING';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_INDUSTRIAL_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY_DISTRICT';
DELETE FROM TraitModifiers WHERE ModifierId = 'MINOR_CIV_STOCKHOLM_UNIQUE_INFLUENCE_GREAT_PROPHET_POINTS_BONUS';
-- Removes Religious leader agendas.
DELETE FROM Agendas WHERE AgendaType = 'AGENDA_DEVOUT';
DELETE FROM Agendas WHERE AgendaType = 'AGENDA_ZEALOT';
-- Removes Religious policy cards.
DELETE FROM Policies WHERE PolicyType = 'POLICY_INQUISITION';
DELETE FROM Policies WHERE PolicyType = 'POLICY_RELIGIOUS_ORDERS';
DELETE FROM Policies WHERE PolicyType = 'POLICY_REVELATION';
DELETE FROM Policies WHERE PolicyType = 'POLICY_SIMULTANEUM';
DELETE FROM Policies WHERE PolicyType = 'POLICY_WARS_OF_RELIGION';
-- Reassign attribute type to religious City-State
UPDATE Leaders SET InheritFrom = 'LEADER_MINOR_CIV_MILITARISTIC' WHERE LeaderType = 'LEADER_MINOR_CIV_JERUSALEM';
UPDATE Leaders SET InheritFrom = 'LEADER_MINOR_CIV_TRADE' WHERE LeaderType = 'LEADER_MINOR_CIV_KANDY';
UPDATE Leaders SET InheritFrom = 'LEADER_MINOR_CIV_INDUSTRIAL' WHERE LeaderType = 'LEADER_MINOR_CIV_LA_VENTA';
UPDATE Leaders SET InheritFrom = 'LEADER_MINOR_CIV_CULTURAL' WHERE LeaderType = 'LEADER_MINOR_CIV_YEREVAN';
-- Reassign Great Person action to new district
UPDATE GreatPersonIndividuals SET ActionRequiresCompletedDistrictType = 'DISTRICT_CAMPUS' WHERE ActionRequiresCompletedDistrictType = 'DISTRICT_HOLY_SITE';

-- Disables Religious victory type. (work in progress)
	--DELETE FROM Victories WHERE VictoryType = 'VICTORY_RELIGIOUS'; -- not effective
	--UPDATE Victories SET EnabledByDefault = '0' WHERE VictoryType = 'VICTORY_RELIGIOUS'; -- not effective
	--DELETE FROM Quests WHERE QuestType = 'QUEST_ZONE_DISTRICT_TYPE'; -- Table does not include DistrictType